package com.sunxung.factoring.entity.customerinformation;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * @author yaFan
 * 供应商银行卡账户信息表
 */
@TableName("supplier_bank_card_info")
public class SupplierBankCardInfo extends BaseEntity {

    /**
     * 供应商id
     */
    @TableField("supplier_id")
    private Long supplierId;

    /**
     * 供应商名称
     */
    @TableField(exist = false)
    private String supplierName;

    /**
     * 所属银行
     */
    @TableField("bank_name")
    private String bankName;
    /**
     * 账户名称
     */
    @TableField("account_name")
    private String accountName;

    /**
     * 账号
     */
    @TableField("account_number")
    private String accountNumber;

    /**
     * 是否删除记录
     * @return
     */
    @TableField("removed")
    private Boolean removed;

    public Boolean getRemoved() {
        return removed;
    }

    public void setRemoved(Boolean removed) {
        this.removed = removed;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getAccountNumber() {
        return accountNumber;
    }

    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
}
